Subject: Re: bug#51991: guix deploy with (with build-locally #f) needlessly syncs build artifacts
From: Maxim Cournoyer <[email-masked]>
To: Ludovic Courtès <[email-masked]>
Cc: [email-masked]
Date: Fri, 17 Dec 2021 16:42:03 -0500
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello Ludovic,

Ludovic Courtès <[email-masked]> writes:

> Hi,
>
> Maxim Cournoyer <[email-masked]> skribis:
>
>> Maxim Cournoyer <[email-masked]> writes:
>>
>>> Hello,
>>>
>>> While configuring a machine setup for building the packages remotely, I
>>> observed that all substitutes were first retrieved on the local host.
>>>
>>> Since the intent is to deploy the remote machine and have it build the
>>> package itself, this is a wasteful use resources.  The remote machine
>>> should fetch the or substitutes or package sources itself.
>>
>> I'm not sure the above is accurate because near the end of deploy it
>> only transferred a handful of megabytes.  I suspect it needed something
>> to compute the derivations locally, perhaps grafts?  For example, I have
>> openjdk installed on the remote machine, and it was downloaded locally
>> (more than 100 MiB download IIRC), but it was never transferred, if I
>> followed correctly.
>
> Yeah, I’m tempted to tag it as “notabug”.  WDYT?

Fine by me, closing for now.

Thank you!

Maxim